Foros del Web » Programando para Internet » GIT »

[SOLUCIONADO] Error al instalar express con git

Estas en el tema de Error al instalar express con git en el foro de GIT en Foros del Web. Poniendome al tanto con eso del entorno de desarrollo, segui con un tutorial de por ahi, en el que instale en este orden en Windows ...
  #1 (permalink)  
Antiguo 18/08/2014, 18:57
Avatar de Pelipe  
Fecha de Ingreso: abril-2011
Ubicación: Nuestra Señora de La Paz
Mensajes: 90
Antigüedad: 13 años, 2 meses
Puntos: 4
Error al instalar express con git

Poniendome al tanto con eso del entorno de desarrollo, segui con un tutorial de por ahi, en el que instale en este orden en Windows 7:

- git (con un exe), node (con exe), hasta ahi bien.
- mediante línea de comandos, segui con npm, jade, stylus, coffee script
- hasta ahi bien verifique la version instalada de cada paquete ej: jade -v, todo bien ahi.
- pero en el tutorial instalo al final express y ahi se jodio. trate de verificarlo con: express -v

"express" no se reconoce como com un comando interno o externo... blablabla

necesito express para el tutorial que no pude terminar, que usa el comando express

el comando que uso es "$ npm install -g express" y me salio una lista de unas 20 opciones (por citar algunos solamente):

- [email protected]
- [email protected]
- [email protected]
- [email protected]
- [email protected]
- [email protected]
- ...otros tantos mas casi unos 20...
- pareciera que instalo

y nada mas despues ejecuto express -v o express --version, no paso nada verficando su version:

- ¿instalo el express o no? me falta algo mas, no tengo mucha experiencia con linea de comandos.
- aclaro antes instale bower(quiza algun otro paquete que no recuerdo) podria haber problemas por eso?
- tambien instales Git en mi unidad D:\Git
- node js lo instale en D\Nodejs (ahi dentro existe una carpeta npm y dentro una node_modules)
- ... pero tambien tengo otra en C:\Users\Pelipe\AppData\Roaming\npm\node_modules
- no se esas dos rutas entraran en conflicto?
- tambien he usado cmd de windows y el git, alternativamente sin darme cuenta. ¿tendra algo que ver?
- o borro todo y reinicio toda la instalacion ¿pero en que orden?
-¿ no conocen un paquete que instale todo junto git,node,npm,jade,stylus,coffee,bower o algo similar?
- necesito de su sabiduria amigos.

Última edición por Pelipe; 18/08/2014 a las 19:08 Razón: mas datos
  #2 (permalink)  
Antiguo 19/08/2014, 11:10
Avatar de pateketrueke
Modernizr
 
Fecha de Ingreso: abril-2008
Ubicación: Mexihco-Tenochtitlan
Mensajes: 26.399
Antigüedad: 16 años, 3 meses
Puntos: 2534
Respuesta: Error al instalar express con git

Tu problema está fuera de contexto, no es error o problema de Git, es un problema de NodeJS (npm).

Ahora, te sugiero consultar el repositorio actual de express para verificar si al día de hoy se puede seguir instalando globalmente, aunque no creo que sea posible y es probable que el tutorial que estás siguiendo está desactualizado.

Algunos paquetes de NodeJS (bower, coffee-script, jade, etc.) se pueden instalar globalmente, otros no, así de fácil.
__________________
Y U NO RTFM? щ(ºдºщ)

No atiendo por MP nada que no sea personal.
  #3 (permalink)  
Antiguo 19/08/2014, 13:15
Avatar de Pelipe  
Fecha de Ingreso: abril-2011
Ubicación: Nuestra Señora de La Paz
Mensajes: 90
Antigüedad: 13 años, 2 meses
Puntos: 4
Respuesta: Error al instalar express con git

Gracias por responder pateketrueke,

he intentado instalar express con -g y sin el el, ambos casos no aun no reconoce express:

sh: express: command not found.

en la pagina oficial de express lo ponen sin global (-g), hasta ahora no he tenido problemas con la instalacion de jade, stylus, coffee .. etc

Sigo con el problema y nada aun... ya nose que sera.
__________________
La balas suenan igual en todos los idiomas y lenguages de programación.

Última edición por Pelipe; 19/08/2014 a las 13:43
  #4 (permalink)  
Antiguo 19/08/2014, 17:54
Avatar de Pelipe  
Fecha de Ingreso: abril-2011
Ubicación: Nuestra Señora de La Paz
Mensajes: 90
Antigüedad: 13 años, 2 meses
Puntos: 4
Pregunta Respuesta: Error al instalar express con git

Actualizo el problema es que la mayoria de los tutoriales estan en express 3 ahora que vamos con la version 4.2.0 varia un poco pero sigue asi:

Instalacion sin global

Código BASH:
Ver original
  1. $ npm install express

La forma más rápida para empezar con Expres es utilizar el Express ejecutable (1) para generar una aplicación, como se muestra a continuación:

Instalar el ejecutable. Importante versión del ejecutable coincidirá de Express:
Código BASH:
Ver original
  1. $ npm install -g express-generator@4

luego verifican si se instalo corectamente con:

Código BASH:
Ver original
  1. $ express -v

o

Código BASH:
Ver original
  1. $ express --version

este metodo de instalacion es hasta el 19 de agosto de 2014, si lo revisan mas adelante siempre verifiquen la pagina oficial de express, para estar al tanto y no liarse y sufrir en vano

https://github.com/strongloop/express

Nota
Añado el instalador de nodejs para windows ya trae npm asi que no es necesario instalarla nuevamente.
__________________
La balas suenan igual en todos los idiomas y lenguages de programación.

Última edición por Pelipe; 19/08/2014 a las 18:00 Razón: mas información

Etiquetas: express, jade, node, stylus
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 13:57.